Sun Sep 21 13:02:58 2008 UTC ()
Clean up autoconf output list and add bmp.sh to the distclean target.


(joerg)
diff -r1.8.8.3 -r1.8.8.4 pkgsrc/pkgtools/pkg_install/files/Makefile.in
diff -r1.28.2.4 -r1.28.2.5 pkgsrc/pkgtools/pkg_install/files/configure
diff -r1.26.2.4 -r1.26.2.5 pkgsrc/pkgtools/pkg_install/files/configure.ac

cvs diff -r1.8.8.3 -r1.8.8.4 pkgsrc/pkgtools/pkg_install/files/Makefile.in (expand / switch to unified diff)

--- pkgsrc/pkgtools/pkg_install/files/Makefile.in 2008/05/24 21:54:22 1.8.8.3
+++ pkgsrc/pkgtools/pkg_install/files/Makefile.in 2008/09/21 13:02:58 1.8.8.4
@@ -1,26 +1,25 @@ @@ -1,26 +1,25 @@
1# $NetBSD: Makefile.in,v 1.8.8.3 2008/05/24 21:54:22 joerg Exp $ 1# $NetBSD: Makefile.in,v 1.8.8.4 2008/09/21 13:02:58 joerg Exp $
2 2
3BOOTSTRAP= @bootstrap@ 3BOOTSTRAP= @bootstrap@
4 4
5.if empty(BOOTSTRAP) 5.if empty(BOOTSTRAP)
6SUBDIRS= lib add admin create delete info 6SUBDIRS= lib add admin create delete info
7.else 7.else
8SUBDIRS= lib admin create info 8SUBDIRS= lib admin create info
9.endif 9.endif
10 10
11all: 11all:
12 @for dir in $(SUBDIRS); do \ 12 @for dir in $(SUBDIRS); do \
13 ( cd $$dir && $(MAKE) $@ ) || exit 1; \ 13 ( cd $$dir && $(MAKE) $@ ) || exit 1; \
14 done 14 done
15 15
16install clean: 16install clean:
17 @for dir in $(SUBDIRS); do \ 17 @for dir in $(SUBDIRS); do \
18 ( cd $$dir && $(MAKE) $@ ) || exit 1; \ 18 ( cd $$dir && $(MAKE) $@ ) || exit 1; \
19 done 19 done
20 20
21distclean: clean 21distclean: clean
22 rm -f config.log config.status configure.lineno 22 rm -f config.log config.status configure.lineno
23 rm -f Makefile */Makefile 23 rm -f Makefile */Makefile
24 rm -f lib/config.h 24 rm -f lib/config.h
25 rm -f view/linkfarm.sh 25 rm -f bmp/bmp.sh
26 rm -f view/pkg_view.sh 

cvs diff -r1.28.2.4 -r1.28.2.5 pkgsrc/pkgtools/pkg_install/files/configure (expand / switch to unified diff)

--- pkgsrc/pkgtools/pkg_install/files/configure 2008/06/12 15:16:41 1.28.2.4
+++ pkgsrc/pkgtools/pkg_install/files/configure 2008/09/21 13:02:58 1.28.2.5
@@ -6906,27 +6906,27 @@ _ACEOF @@ -6906,27 +6906,27 @@ _ACEOF
6906case $host in 6906case $host in
6907*-*-dragonfly* |*-*-freebsd*) 6907*-*-dragonfly* |*-*-freebsd*)
6908 6908
6909cat >>confdefs.h <<\_ACEOF 6909cat >>confdefs.h <<\_ACEOF
6910#define NUMERIC_VERSION_ONLY 1 6910#define NUMERIC_VERSION_ONLY 1
6911_ACEOF 6911_ACEOF
6912 6912
6913 ;; 6913 ;;
6914esac 6914esac
6915 6915
6916 6916
6917 6917
6918 6918
6919ac_config_files="$ac_config_files Makefile add/Makefile admin/Makefile audit-packages/Makefile audit-packages/audit-packages.1 audit-packages/audit-packages.cat1 audit-packages/audit-packages.conf audit-packages/audit-packages.conf.5 audit-packages/audit-packages.conf.cat5 audit-packages/download-vulnerability-list.1 audit-packages/download-vulnerability-list.cat1 audit-packages/download-vulnerability-list.sh bpm/bpm.sh create/Makefile delete/Makefile info/Makefile lib/Makefile view/Makefile view/linkfarm.sh view/pkg_view.sh" 6919ac_config_files="$ac_config_files Makefile add/Makefile admin/Makefile bpm/bpm.sh create/Makefile delete/Makefile info/Makefile lib/Makefile"
6920 6920
6921cat >confcache <<\_ACEOF 6921cat >confcache <<\_ACEOF
6922# This file is a shell script that caches the results of configure 6922# This file is a shell script that caches the results of configure
6923# tests run on this system so they can be shared between configure 6923# tests run on this system so they can be shared between configure
6924# scripts and configure runs, see configure's option --config-cache. 6924# scripts and configure runs, see configure's option --config-cache.
6925# It is not useful on other systems. If it contains results you don't 6925# It is not useful on other systems. If it contains results you don't
6926# want to keep, you may remove or edit it. 6926# want to keep, you may remove or edit it.
6927# 6927#
6928# config.status only pays attention to the cache file if you give it 6928# config.status only pays attention to the cache file if you give it
6929# the --recheck option to rerun configure. 6929# the --recheck option to rerun configure.
6930# 6930#
6931# `ac_cv_env_foo' variables (set or unset) will be overridden when 6931# `ac_cv_env_foo' variables (set or unset) will be overridden when
6932# loading this file, other *unset* `ac_cv_foo' will be assigned the 6932# loading this file, other *unset* `ac_cv_foo' will be assigned the
@@ -7496,43 +7496,31 @@ _ACEOF @@ -7496,43 +7496,31 @@ _ACEOF
7496cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1 7496cat >>$CONFIG_STATUS <<_ACEOF || ac_write_fail=1
7497_ACEOF 7497_ACEOF
7498 7498
7499cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1 7499cat >>$CONFIG_STATUS <<\_ACEOF || ac_write_fail=1
7500 7500
7501# Handling of arguments. 7501# Handling of arguments.
7502for ac_config_target in $ac_config_targets 7502for ac_config_target in $ac_config_targets
7503do 7503do
7504 case $ac_config_target in 7504 case $ac_config_target in
7505 "lib/config.h") CONFIG_HEADERS="$CONFIG_HEADERS lib/config.h" ;; 7505 "lib/config.h") CONFIG_HEADERS="$CONFIG_HEADERS lib/config.h" ;;
7506 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;; 7506 "Makefile") CONFIG_FILES="$CONFIG_FILES Makefile" ;;
7507 "add/Makefile") CONFIG_FILES="$CONFIG_FILES add/Makefile" ;; 7507 "add/Makefile") CONFIG_FILES="$CONFIG_FILES add/Makefile" ;;
7508 "admin/Makefile") CONFIG_FILES="$CONFIG_FILES admin/Makefile" ;; 7508 "admin/Makefile") CONFIG_FILES="$CONFIG_FILES admin/Makefile" ;;
7509 "audit-packages/Makefile") CONFIG_FILES="$CONFIG_FILES audit-packages/Makefile" ;; 
7510 "audit-packages/audit-packages.1") CONFIG_FILES="$CONFIG_FILES audit-packages/audit-packages.1" ;; 
7511 "audit-packages/audit-packages.cat1") CONFIG_FILES="$CONFIG_FILES audit-packages/audit-packages.cat1" ;; 
7512 "audit-packages/audit-packages.conf") CONFIG_FILES="$CONFIG_FILES audit-packages/audit-packages.conf" ;; 
7513 "audit-packages/audit-packages.conf.5") CONFIG_FILES="$CONFIG_FILES audit-packages/audit-packages.conf.5" ;; 
7514 "audit-packages/audit-packages.conf.cat5") CONFIG_FILES="$CONFIG_FILES audit-packages/audit-packages.conf.cat5" ;; 
7515 "audit-packages/download-vulnerability-list.1") CONFIG_FILES="$CONFIG_FILES audit-packages/download-vulnerability-list.1" ;; 
7516 "audit-packages/download-vulnerability-list.cat1") CONFIG_FILES="$CONFIG_FILES audit-packages/download-vulnerability-list.cat1" ;; 
7517 "audit-packages/download-vulnerability-list.sh") CONFIG_FILES="$CONFIG_FILES audit-packages/download-vulnerability-list.sh" ;; 
7518 "bpm/bpm.sh") CONFIG_FILES="$CONFIG_FILES bpm/bpm.sh" ;; 7509 "bpm/bpm.sh") CONFIG_FILES="$CONFIG_FILES bpm/bpm.sh" ;;
7519 "create/Makefile") CONFIG_FILES="$CONFIG_FILES create/Makefile" ;; 7510 "create/Makefile") CONFIG_FILES="$CONFIG_FILES create/Makefile" ;;
7520 "delete/Makefile") CONFIG_FILES="$CONFIG_FILES delete/Makefile" ;; 7511 "delete/Makefile") CONFIG_FILES="$CONFIG_FILES delete/Makefile" ;;
7521 "info/Makefile") CONFIG_FILES="$CONFIG_FILES info/Makefile" ;; 7512 "info/Makefile") CONFIG_FILES="$CONFIG_FILES info/Makefile" ;;
7522 "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;; 7513 "lib/Makefile") CONFIG_FILES="$CONFIG_FILES lib/Makefile" ;;
7523 "view/Makefile") CONFIG_FILES="$CONFIG_FILES view/Makefile" ;; 
7524 "view/linkfarm.sh") CONFIG_FILES="$CONFIG_FILES view/linkfarm.sh" ;; 
7525 "view/pkg_view.sh") CONFIG_FILES="$CONFIG_FILES view/pkg_view.sh" ;; 
7526 7514
7527 *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5 7515 *) { { $as_echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
7528$as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;} 7516$as_echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
7529 { (exit 1); exit 1; }; };; 7517 { (exit 1); exit 1; }; };;
7530 esac 7518 esac
7531done 7519done
7532 7520
7533 7521
7534# If the user did not use the arguments to specify the items to instantiate, 7522# If the user did not use the arguments to specify the items to instantiate,
7535# then the envvar interface is used. Set only those that are not. 7523# then the envvar interface is used. Set only those that are not.
7536# We use the long form for the default assignment because of an extremely 7524# We use the long form for the default assignment because of an extremely
7537# bizarre bug on SunOS 4.1.3. 7525# bizarre bug on SunOS 4.1.3.
7538if $ac_need_defaults; then 7526if $ac_need_defaults; then

cvs diff -r1.26.2.4 -r1.26.2.5 pkgsrc/pkgtools/pkg_install/files/configure.ac (expand / switch to unified diff)

--- pkgsrc/pkgtools/pkg_install/files/configure.ac 2008/06/12 15:16:41 1.26.2.4
+++ pkgsrc/pkgtools/pkg_install/files/configure.ac 2008/09/21 13:02:58 1.26.2.5
@@ -136,24 +136,17 @@ AC_CHECK_SIZEOF(long long) @@ -136,24 +136,17 @@ AC_CHECK_SIZEOF(long long)
136 136
137case $host in 137case $host in
138*-*-dragonfly* |*-*-freebsd*) 138*-*-dragonfly* |*-*-freebsd*)
139 AC_DEFINE([NUMERIC_VERSION_ONLY], [1], [Defined when to retain only the numeric OS version]) 139 AC_DEFINE([NUMERIC_VERSION_ONLY], [1], [Defined when to retain only the numeric OS version])
140 ;; 140 ;;
141esac 141esac
142 142
143AH_BOTTOM( 143AH_BOTTOM(
144#if !HAVE_VFORK 144#if !HAVE_VFORK
145# define vfork fork 145# define vfork fork
146#endif 146#endif
147) 147)
148 148
149AC_CONFIG_FILES([Makefile add/Makefile admin/Makefile  149AC_CONFIG_FILES([Makefile add/Makefile admin/Makefile bpm/bpm.sh \
150 audit-packages/Makefile audit-packages/audit-packages.1 \ 150 create/Makefile delete/Makefile info/Makefile \
151 audit-packages/audit-packages.cat1 audit-packages/audit-packages.conf \ 151 lib/Makefile])
152 audit-packages/audit-packages.conf.5 \ 
153 audit-packages/audit-packages.conf.cat5 \ 
154 audit-packages/download-vulnerability-list.1 \ 
155 audit-packages/download-vulnerability-list.cat1 \ 
156 audit-packages/download-vulnerability-list.sh bpm/bpm.sh \ 
157 create/Makefile delete/Makefile info/Makefile lib/Makefile \ 
158 view/Makefile view/linkfarm.sh view/pkg_view.sh]) 
159AC_OUTPUT 152AC_OUTPUT